.container {
    // width: $container;
    margin: 0 auto;
    padding: 0 10px;
    max-width: 1200px;
    user-select: none;
}

.header {
    background: url('./img/header_bg.png') no-repeat center;
    background-size: cover;
    width: 100%;
    height: 800px;
    font-weight: 700;
    text-align: center;
    line-height: 1;
    min-height: calc(100vw * 0.2);
    color: $main_color-1;
    overflow: hidden;

    @media (max-width: 768px) {
        height: 720px;
    }
}

.header__nav,
.header__top-wrapper,
.header__logo {
    @include flex-row(space-between);
    flex-wrap: wrap;
    gap: 48px;
}

.header__top-wrapper {
    padding-top: 30px;
    position: relative;
    z-index: 1;

    @media (max-width: 1200px) {
        background-color: #27262A;
        row-gap: 25px;
        padding-bottom: 20px;
    }

    @media (max-width: 768px) {
        padding: 30px 20px;
        justify-content: space-between;
        gap: 0;
    }
}

.header__nav-wrapper {
    position: relative;
    z-index: 10;
    @media (max-width: 1200px) {
        order: 1;
        width: 100%;

        .header__nav {
            justify-content: center;
        }
    }

    @media (max-width: 768px) {
        display: none;
    }
}

.header__logo {
    justify-content: flex-start;
    flex: 1 1 auto;
    gap: 20px;
    justify-self: flex-start;

    .logo__img {
        height: 43px;
        width: 41px;
        fill: currentColor;
        transition: color 0.25s ease-out;
    }

    .logo__txt {
        font-size: 24px;
        font-family: "Lato";
        text-transform: uppercase;
        align-self: flex-end;
        line-height: 1.5;
        transition: color 0.25s ease-out;

        @media (max-width: 768px) {
            display: none;
        }
    }

    &>:hover {
        color: $main_color-2;
    }

    @media (max-width: 768px) {
        flex: 0 0 auto;
    }
}

.header__nav-item {
    transition: color 0.25s ease-out;

    &:hover {
        color: $main_color-2;
    }
}

.header__btn {
    background-color: $main_color-1;
    color: $main_color-2;
    padding: 8px 40px;
    border-radius: 40px;
    cursor: pointer;
    border: none;
    transition: transform 0.15s ease-out, background-color 0.25s ease-out, color 0.25s ease-out;

    &:hover {
        color: $main_color-1;
        background-color: $main_color-2;
    }

    &:active {
        transform: scale(0.9);
        box-shadow: 0 0 15px 0px rgba(255, 255, 255, 0.8);
    }

    @media (max-width: 768px) {
        padding: 10px 26px;
        font-size: 15px;

    }
}

.main__title {
    font-size: 82px;
    margin: 115px auto 15px;
    color: $main_color-2;
    width: 100%;

    @media (max-width: 1200px) {
        margin-top: 54px;
        font-size: 72px;
    }

    @media (max-width: 768px) {
        margin-top: 54px;
        font-size: 72px;
        font-size: $title_lg;
    }
}

.header__content {
    @include flex-col;
    gap: 19px;

    .header__slogan {
        color: $main_color-1;
        font-size: 30px;
        font-weight: 400;
        font-family: 'Lato';

        @media (max-width: 1200px) {
            font-size: 24px;
        }

        @media (max-width: 768px) {
            font-size: 18px;
            text-transform: capitalize;
            max-width: 80%;
            line-height: 24px;
        }
    }

    .header__descr {
        color: $second_color-1;
        font-weight: 400;
        text-transform: uppercase;

        @media (max-width: 1200px) {
            font-size: 14px;
        }
    }
}